GNU bug report logs - #17795
boot flag bug report

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: parted; Reported by: Matt Smith <MSmith@HIDDEN>; dated Tue, 17 Jun 2014 15:01:01 UTC; Maintainer for parted is bug-parted@HIDDEN.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 17 Jun 2014 17:52:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 17 13:52:25 2014
Received: from localhost ([127.0.0.1]:50858 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WwxYX-0003Wp-7C
	for submit <at> debbugs.gnu.org; Tue, 17 Jun 2014 13:52:25 -0400
Received: from eggs.gnu.org ([208.118.235.92]:58753)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <bcl@HIDDEN>) id 1WwxYT-0003WU-1c
 for submit <at> debbugs.gnu.org; Tue, 17 Jun 2014 13:52:23 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <bcl@HIDDEN>) id 1WwxYE-0000Y6-IE
 for submit <at> debbugs.gnu.org; Tue, 17 Jun 2014 13:52:15 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50 autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:53251)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <bcl@HIDDEN>) id 1WwxYE-0000Y2-Fg
 for submit <at> debbugs.gnu.org; Tue, 17 Jun 2014 13:52:06 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:60402)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <bcl@HIDDEN>) id 1WwxY8-0001Gq-3F
 for bug-parted@HIDDEN; Tue, 17 Jun 2014 13:52:06 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <bcl@HIDDEN>) id 1WwxY1-0000V6-VA
 for bug-parted@HIDDEN; Tue, 17 Jun 2014 13:52:00 -0400
Received: from mx1.redhat.com ([209.132.183.28]:10476)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <bcl@HIDDEN>) id 1WwxY1-0000Uc-MO
 for bug-parted@HIDDEN; Tue, 17 Jun 2014 13:51:53 -0400
Received: from int-mx11.intmail.prod.int.phx2.redhat.com
 (int-mx11.intmail.prod.int.phx2.redhat.com [10.5.11.24])
 by mx1.redhat.com (8.14.4/8.14.4) with ESMTP id s5HHpo5E026105
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK)
 for <bug-parted@HIDDEN>; Tue, 17 Jun 2014 13:51:51 -0400
Received: from lister.brianlane.com (ovpn-113-50.phx2.redhat.com [10.3.113.50])
 by int-mx11.intmail.prod.int.phx2.redhat.com (8.14.4/8.14.4) with ESMTP id
 s5HHpmfO011014
 (version=TLSv1/SSLv3 cipher=AES128-GCM-SHA256 bits=128 verify=NO)
 for <bug-parted@HIDDEN>; Tue, 17 Jun 2014 13:51:49 -0400
Date: Tue, 17 Jun 2014 10:51:47 -0700
From: "Brian C. Lane" <bcl@HIDDEN>
To: bug-parted@HIDDEN
Subject: Re: bug#17795: boot flag bug report
Message-ID: <20140617175147.GK2710@HIDDEN>
References: <E474DDB2AB679942A423BDFF8799AB250AC14BF2@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <E474DDB2AB679942A423BDFF8799AB250AC14BF2@HIDDEN>
User-Agent: Mutt/1.5.23 (2014-03-12)
X-Scanned-By: MIMEDefang 2.68 on 10.5.11.24
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 3.x
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

On Tue, Jun 17, 2014 at 12:51:37PM +0000, Matt Smith wrote:
> Hello Devs,
> 
> I don't know how to check if the bug has been fixed.  The webpage wasn't clear on how to check.  I assume that because 3.1 is the latest version and also the version that I'm using, that the bug still exists in 3.1.  
> 
> The command I entered:
> (parted) disk_set boot on                                                 

On master this now results in:

parted: invalid token: boot


> bash-4.2$ sudo parted /dev/sdf unit co print unit s print
> Model:   (scsi)
> Disk /dev/sdf: 15.9GB
> Sector size (logical/physical): 512B/512B
> Partition Table: pc98
> Disk Flags: 
> 
> Number  Start   End     Size    File system  Name     Flags
>  1      1049kB  15.9GB  15.9GB               primary
> 
> Model:   (scsi)
> Disk /dev/sdf: 30965760s
> Sector size (logical/physical): 512B/512B
> Partition Table: pc98
> Disk Flags: 
> 
> Number  Start  End        Size       File system  Name     Flags
>  1      2048s  30965759s  30963712s               primary

pc98 detection should be working fairly well in 3.1, could you dump a
copy of the mbr?

sudo dd if=/dev/sda bs=512 count=2 | hexdump -C

-- 
Brian C. Lane | Anaconda Team | IRC: bcl #anaconda | Port Orchard, WA (PST8PDT)




Information forwarded to bug-parted@HIDDEN:
bug#17795; Package parted. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 17 Jun 2014 15:00:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 17 11:00:49 2014
Received: from localhost ([127.0.0.1]:50751 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WwusP-0004Bv-2i
	for submit <at> debbugs.gnu.org; Tue, 17 Jun 2014 11:00:49 -0400
Received: from eggs.gnu.org ([208.118.235.92]:38308)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <MSmith@HIDDEN>) id 1WwtGm-0000Do-R5
 for submit <at> debbugs.gnu.org; Tue, 17 Jun 2014 09:17:53 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <MSmith@HIDDEN>) id 1WwtGX-0006YE-8h
 for submit <at> debbugs.gnu.org; Tue, 17 Jun 2014 09:17:43 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50 autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:60014)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <MSmith@HIDDEN>) id 1WwtGX-0006Y9-6d
 for submit <at> debbugs.gnu.org; Tue, 17 Jun 2014 09:17:33 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:39896)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <MSmith@HIDDEN>) id 1WwtGO-0006Mq-PL
 for bug-parted@HIDDEN; Tue, 17 Jun 2014 09:17:33 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <MSmith@HIDDEN>) id 1WwtGG-0006QQ-8b
 for bug-parted@HIDDEN; Tue, 17 Jun 2014 09:17:24 -0400
Received: from rrcs-70-61-251-202.central.biz.rr.com ([70.61.251.202]:48108
 helo=edataserv.com) by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <MSmith@HIDDEN>) id 1WwtGG-0005vs-5L
 for bug-parted@HIDDEN; Tue, 17 Jun 2014 09:17:16 -0400
Received: from [70.61.251.35] (helo=remote.bigthumb.com)
 by edataserv.com stage1 with esmtp (Exim MailCleaner) 
 id 1WwsrU-00037L-3x for <bug-parted@HIDDEN> 
 from <MSmith@HIDDEN>; Tue, 17 Jun 2014 08:51:40 -0400
Received: from BT-HQ-SBS.bigthumb.local ([fe80::b32f:8299:27e6:38b3]) by
 BT-HQ-SBS.bigthumb.local ([fe80::b32f:8299:27e6:38b3%10]) with mapi id
 14.01.0438.000; Tue, 17 Jun 2014 08:51:39 -0400
X-MailCleaner-SPF: none
From: Matt Smith <MSmith@HIDDEN>
To: "bug-parted@HIDDEN" <bug-parted@HIDDEN>
Subject: boot flag bug report
Thread-Topic: boot flag bug report
Thread-Index: Ac+KKuAInP3+Z1w0QP6Mzf4Hul+hVw==
Date: Tue, 17 Jun 2014 12:51:37 +0000
Message-ID: <E474DDB2AB679942A423BDFF8799AB250AC14BF2@HIDDEN>
Accept-Language: en-US
Content-Language: en-US
X-MS-Has-Attach: 
X-MS-TNEF-Correlator: 
x-originating-ip: [10.62.35.198]
Content-Type: text/plain; charset="us-ascii"
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 3.x
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Tue, 17 Jun 2014 11:00:43 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

Hello Devs,=0A=
=0A=
I don't know how to check if the bug has been fixed.  The webpage wasn't cl=
ear on how to check.  I assume that because 3.1 is the latest version and a=
lso the version that I'm using, that the bug still exists in 3.1.  =0A=
=0A=
The command I entered:=0A=
(parted) disk_set boot on                                                 =
=0A=
=0A=
=0A=
=0A=
Your report should contain the version of this release (3.1)=0A=
along with the error message below, the output of=0A=
=0A=
	parted DEVICE unit co print unit s print=0A=
=0A=
and the following history of commands you entered.=0A=
Also include any additional information about your setup you=0A=
consider important.=0A=
=0A=
Unknown disk flag, 0.=0A=
=0A=
Error: The flag '(null)' is not available for pc98 disk labels.=0A=
(parted) quit                                                             =
=0A=
Information: You may need to update /etc/fstab.=0A=
=0A=
bash-4.2$ sudo parted /dev/sdf/ unit co print unit s print=0A=
[sudo] password for mis: =0A=
Error: Could not stat device /dev/sdf/ - Not a directory.=0A=
Retry/Cancel? c                                                           =
=0A=
bash-4.2$ sudo parted /dev/sdf unit co print unit s print=0A=
Model:   (scsi)=0A=
Disk /dev/sdf: 15.9GB=0A=
Sector size (logical/physical): 512B/512B=0A=
Partition Table: pc98=0A=
Disk Flags: =0A=
=0A=
Number  Start   End     Size    File system  Name     Flags=0A=
 1      1049kB  15.9GB  15.9GB               primary=0A=
=0A=
Model:   (scsi)=0A=
Disk /dev/sdf: 30965760s=0A=
Sector size (logical/physical): 512B/512B=0A=
Partition Table: pc98=0A=
Disk Flags: =0A=
=0A=
Number  Start  End        Size       File system  Name     Flags=0A=
 1      2048s  30965759s  30963712s               primary=0A=
=0A=




Acknowledgement sent to Matt Smith <MSmith@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-parted@HIDDEN. Full text available.
Report forwarded to bug-parted@HIDDEN:
bug#17795; Package parted. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 31 Oct 2014 17:00:04 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.